
%define		module	Xlib

Summary:	X client library for Python
Summary(pl.UTF-8):	Biblioteka klienta X dla Pythona
Name:		python-%{module}
Version:	0.14
Release:	3
License:	GPL
Group:		Development/Languages/Python
Source0:	http://downloads.sourceforge.net/python-xlib/python-xlib-%{version}.tar.gz
# Source0-md5:	a038c2f410d8445f3fa8f6dcd45659c5
URL:		http://python-xlib.sourceforge.net/
BuildRequires:	rpmbuild(macros) >= 1.710
BuildRequires:	python
BuildRequires:	python-devel >= 1:2.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python X Library is intended to be a fully functional X client
library for Python programs. It is written entirely in Python, in
contrast to earlier X libraries for Python (the ancient X extension
and the newer plxlib) which were interfaces to the C Xlib.

This is possible to do since X client programs communicate with the X
server via the X protocol. The communication takes place over TCP/IP,
Unix sockets, DECnet or any other suitable streaming network protocol.
The C Xlib is merely an interface to this protocol, providing
functions suited for a C environment.

There are three advantages of choosing to implement a pure Python
library:
- Integration: The library can make use of the wonderful object system
  in Python, providing an easy-to-use class hierarchy.
- Portability: The library will be usable on (almost) any computer
  which have Python installed. A C interface could be problematic to
  port to non-Unix systems, such as MS Windows or OpenVMS.

%description -l pl.UTF-8
Python X Library (biblioteka X dla Pythona) ma być w pełni
funkcjonalną biblioteką kliencką X dla programów w Pythonie. Jest
napisana całkowicie w Pythonie, w przeciwieństwie do poprzednich
bibliotek X dla Pythona (starego rozszerzenia X i nowszej plxlib),
które były interfejsami do Xlib w C.

Jest to możliwe do zrobienia ponieważ programy klienckie X komunikują
się z X serwerem za pomocą protokołu X. Komunikacja odbywa się poprzez
TCP/IP, gniazda uniksowe, DECnet lub dowolny inny strumieniowy
protokół sieciowy. Biblioteka Xlib w C jest jedynie interfejsem do
tego protokołu, dostarczając funkcje odpowiednie dla środowiska C.

Są trzy zalety wyboru implementacji jako czysto pythonowej biblioteki:
- integracja: biblioteka może używać cudownego systemu obiektowego
  Pythona, dostarczając łatwą w użyciu hierarchię klas
- przenośność: biblioteka będzie użyteczna na (prawie) każdym
  komputerze z zainstalowanym Pythonem. Interfejs w C mógłby być
  problematyczny do sportowania na systemy nieuniksowe, jak na przykład
  MS Windows czy OpenVMS.

%prep
%setup -q -n python-xlib-%{version}

%build
%py_build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitedir}
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
%py_install

find $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}/ -name \*.py | xargs rm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README TODO
%dir %{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}/*.py[co]
%dir %{py_sitescriptdir}/%{module}/ext
%{py_sitescriptdir}/%{module}/ext/*.py[co]
%dir %{py_sitescriptdir}/%{module}/keysymdef
%{py_sitescriptdir}/%{module}/keysymdef/*.py[co]
%dir %{py_sitescriptdir}/%{module}/protocol
%{py_sitescriptdir}/%{module}/protocol/*.py[co]
%dir %{py_sitescriptdir}/%{module}/support
%{py_sitescriptdir}/%{module}/support/*.py[co]
%dir %{py_sitescriptdir}/%{module}/xobject
%{py_sitescriptdir}/%{module}/xobject/*.py[co]
%{_examplesdir}/%{name}-%{version}
%if "%{py_ver}" > "2.4"
%{py_sitescriptdir}/python_xlib-0.12-py*.egg-info
%endif
%changelog
* Mon Nov 30 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Xlib.git;a=log;h=master

* Mon Nov 30 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 09f4b51
- release 3 (by relup.sh)

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5305c01
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 8cbb7de
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 46ec1e7
- automatic change: use py_build/py_install macros

* Mon Jan 03 2011 lisu <lisu@pld-linux.org> 52c4767
- more verbose files

* Tue Nov 23 2010 lisu <lisu@pld-linux.org> 3b536a4
- updated to 0.14
- use python macro
- BR: rpm-pythonprov
- adpapterized
- package egg-info

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c524a2b
- release 3

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c25398a
- release 2

* Tue Feb 27 2007 Patryk Zawadzki <patrys@room-303.com> 874afbb
- 0.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c1ee1d3
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> b6e677b
- converted to UTF-8

* Sat Mar 12 2005 Michal Chruszcz <mchruszcz@gmail.com> 3675edf
- mass commit: remove obsolete BR: rpm-pythonprov

* Thu Dec 23 2004 saq <saq@pld-linux.org> 07b7766
- release 2 for rebuild with python 2.4

* Sat Nov 27 2004 saq <saq@pld-linux.org> 9ac365b
- massive attack: added missing python-devel epoch do BR

* Sun Oct 31 2004 paladine <paladine@pld-linux.org> 6b08247
- spaces->tabs
- formatting

* Wed Jul 28 2004 Michal Chruszcz <mchruszcz@gmail.com> 8c860ec
- removed %%include /usr/lib/rpm/macros.python

* Tue Jun 08 2004 leafnode <leafnode@pld-linux.org> b187431
- updated to 0.12a

* Wed May 26 2004 ankry <ankry@pld-linux.org> 384e748
- capitalization, tabs, other cosmetics

* Mon Jan 19 2004 Jacek Konieczny <jajcus@pld-linux.org> f2fe2e3
- Release: 2
- new architecture-independent python modules paths

* Mon Jan 05 2004 Jakub Bogusz <qboosh@pld-linux.org> 4350eef
- pl, missing dir
- removed CFLAGS (unused), BA: noarch (pure-python library)

